Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155770 - /dev/{,n}st[0-9] is not usable by Amanda because they are not writable by group "disk"
Summary: /dev/{,n}st[0-9] is not usable by Amanda because they are not writable by gro...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-22 21:08 UTC by Jay Fenlason
Modified: 2014-08-31 23:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-15 12:22:03 UTC


Attachments (Terms of Use)

Description Jay Fenlason 2005-04-22 21:08:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050318 Red Hat/1.4.4-1.3.5

Description of problem:
The default mode for tape devices is 640 root:disk.  Amanda expects non-root users in group disk to be able to read and write the tape devices.  After each reboot I have to manually chmod 666 /dev/*st[0-9]*

Version-Release number of selected component (if applicable):
udev-057-2

How reproducible:
Always

Steps to Reproduce:
1.Configure amanda
2.Attempt to run amcheck or amdump
3.
  

Actual Results:  amcheck, amdump, etc report Permission Denied when they attempt to access the tape device.

Expected Results:  amcheck, amdump, etc can read and write the tape device.

Additional info:

Also, whenever I modify /etc/udev/rules.d/50-udev.rules to make the tape devices writable, my changes are blown away the next time "yum update" updates the udev rpm.  Perhaps the file should be %config(noreplace).

Comment 1 Harald Hoyer 2005-04-25 12:29:12 UTC
I will change the permissions. Why don't you create
/etc/udev/rules.d/10-local.rules or /etc/udev/rules.d/60-otherlocal.rules?

Comment 2 Jay Fenlason 2005-04-25 13:14:36 UTC
I couldn't find any reference to those files in the man pages, nor in the 
comments in the files under /etc/udev/  Would entries in those files (-local 
or -otherlocal) override the entries in 50-udev.rules? 

Comment 3 Harald Hoyer 2005-04-25 15:27:54 UTC
you should add your own rules in files in /etc/udev/rules.d with the extension
.rules and /etc/udev/permissions.d/ with the extension .permissions.

man udev:



       udev_rules
              The name of the udev rules file or directory to look for  files
              with  the  suffix  .rules.   All rule files are read in lexical
              order. The default value is /etc/udev/rules.d/.

       udev_permissions
              The name of the udev permission file or directory to  look  for
              files  with  the suffix .permissions.  All permission files are
              read in lexical order. The default value  is  /etc/udev/permis-
              sions.d/.



Comment 4 Jay Fenlason 2005-07-13 13:52:27 UTC
Rawhide is still creating /dev/nst0 as mode 640 with udev-058-2. 

Comment 5 Harald Hoyer 2005-08-02 15:25:58 UTC
ok... what about udev-063-4?

Comment 6 Chris Hapgood 2005-09-23 19:12:45 UTC
To get by, I added the following entries in a file named /etc/udev/rules.d/60-
tapedrive.rules:

KERNEL=="ht*",                  GROUP="disk",   MODE="0660"
KERNEL=="nht*",                 GROUP="disk",   MODE="0660"
KERNEL=="pt[0-9]*",             GROUP="disk",   MODE="0660"
KERNEL=="npt*",                 GROUP="disk",   MODE="0660"
KERNEL=="st*",                  GROUP="disk",   MODE="0660"
KERNEL=="nst*",                 GROUP="disk",   MODE="0660"
KERNEL=="osst*",                GROUP="disk",   MODE="0660"
KERNEL=="nosst*",               GROUP="disk",   MODE="0660"


Comment 7 Harald Hoyer 2006-02-15 12:22:03 UTC
should be this way in the latest udev releases.


Note You need to log in before you can comment on or make changes to this bug.